VARKON Version 1.18A 2004-09-07

## rap_outint - function

Description
Write varkon int to rapid 'num' variable

Syntax
RAP_OUTINT(client,var_name,data)

INT | client
STRING | var_name
INT | data

Principal parameters
client | - id of the created RPC connection to use
var_name | - the name of the rapid 'num' variable to set
data | - the data to be sent.

Optional parameters
none

Return value
An INT value equal to the current error status as below:

>=0 | RAP variable handling status: operation was successfull
-1 | Remote procedure call failed.
<-1 | RAP variable handling error message, see RAP service specification (3HAC 7697-1) page 127

Comments
RAP routines is only available for xvarkon (UNIX platforms), the use of RAP-routines need also to be enabled when building xvarkon. See $VARKON_ROOT/sources/makefile.

See also
rap_infloat() rap_outfloat() rap_inint() rap_outint() rap_inrobtarget() rap_outrobtarget() rap_inspeed() rap_outspeed() rap_infloatarr() rap_outfloatarr() rap_inrobtarr() rap_outrobtarr() rpc_clientcreate() rpc_clientdestroy()

VARKON Homepage | Index